> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Supprimer le modèle

> Supprimez un modèle, tous ses points de contrôle, ses Artifacts et le run W&B associé.



## OpenAPI

````yaml /fr/serverless-training/api-reference/openapi.json delete /v1/preview/models/{model_id}
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models/{model_id}:
    delete:
      tags:
        - models
      summary: Supprimer le modèle
      description: >-
        Supprimez un modèle, tous ses points de contrôle, ses Artifacts et le
        run W&B associé.
      operationId: delete_model_v1_preview_models__model_id__delete
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            title: Model Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteModelResponse'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteModelResponse:
      description: Schéma de la réponse de suppression de modèle.
      properties:
        deleted_checkpoints:
          title: Deleted Checkpoints
          type: integer
        deleted_run:
          title: Deleted Run
          type: boolean
        model_id:
          format: uuid
          title: Model Id
          type: string
      required:
        - model_id
        - deleted_checkpoints
        - deleted_run
      title: DeleteModelResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````